Service for streetview functionality with Google Street View

### Hierarchy

- StreetviewService
  - GoogleStreetviewService

## Index

### Constructors

- constructor

### Methods

- fromLonLat_
- getPanorama
- panoramaPositionChange
- toLonLat_
- toggleShow

## Constructors

### constructor

- new GoogleStreetviewService($scope: IScope, map: Map, handlePanoramaPositionChange: (newCoordinates: Array | null) => void, radius: number, $element: JQuery<HTMLElement>): GoogleStreetviewService

- Overrides StreetviewService.__constructor

  - Defined in src/streetview/GoogleStreetviewService.js:28
  nginject

  #### Parameters

  - ##### $scope: IScope

    Scope.

  - ##### map: Map

    The map

  - ##### handlePanoramaPositionChange: (newCoordinates: Array | null) => void

    Position change handler

    - - (newCoordinates: Array | null): void

      - #### Parameters

        - ##### newCoordinates: Array | null

        #### Returns void

  - ##### radius: number

    The radius

  - ##### $element: JQuery<HTMLElement>

    Element

  #### Returns GoogleStreetviewService

## Methods

### fromLonLat_

- fromLonLat_(lonLat: Coordinate): Coordinate

- Inherited from StreetviewService.fromLonLat_

  - Defined in src/streetview/Service.js:67

  #### Parameters

  - ##### lonLat: Coordinate

    LonLat coordinate.

  #### Returns Coordinate

  Map view projection coordinate.

### getPanorama

- getPanorama(coordinates: Coordinate): void

- Overrides StreetviewService.getPanorama

  - Defined in src/streetview/GoogleStreetviewService.js:116

  Get image for the given location.

  #### Parameters

  - ##### coordinates: Coordinate

    Map view projection coordinates.

  #### Returns void

### panoramaPositionChange

- panoramaPositionChange(newCoordinates: Coordinate): void

- Inherited from StreetviewService.panoramaPositionChange

  - Defined in src/streetview/Service.js:57

  Set new position on the map.

  #### Parameters

  - ##### newCoordinates: Coordinate

    array of longitude and latitude.

  #### Returns void

### toLonLat_

- toLonLat_(coordinate: Coordinate): Coordinate

- Inherited from StreetviewService.toLonLat_

  - Defined in src/streetview/Service.js:78

  #### Parameters

  - ##### coordinate: Coordinate

    Map view projection coordinate.

  #### Returns Coordinate

  LonLat coordinate.

### toggleShow

- toggleShow(show: boolean): void

- Overrides StreetviewService.toggleShow

  - Defined in src/streetview/GoogleStreetviewService.js:134

  Toggle visibility of streetview / add or remove its listener

  #### Parameters

  - ##### show: boolean

    If the streetview is to show

  #### Returns void

Generated using TypeDoc